OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Types | List of all members
osg::OMDirectionsGeometry< Mesh, Vector > Class Template Reference

`#include <OMDirectionsGeo.h>`

Inheritance diagram for osg::OMDirectionsGeometry< Mesh, Vector >:

## Public Member Functions
| OMDirectionsGeometry (Mesh &mesh, OpenMesh::VPropHandleT< Vector > handle, ScalarT norm=1.0, Vec4f defaultColor=Vec4f(1.0, 1.0, 1.0, 1.0))
| OMDirectionsGeometry (Mesh &mesh, OpenMesh::FPropHandleT< Vector > handle, ScalarT norm=1.0, Vec4f defaultColor=Vec4f(1.0, 1.0, 1.0, 1.0))

## Protected Types
typedef Mesh::Normal | VectorT
typedef VectorT::value_type | ScalarT

## Detailed Description

### template<class Mesh, class Vector>
class osg::OMDirectionsGeometry< Mesh, Vector >

Class which visualises vectors associed with vertices or faces

Template Parameters

  Mesh | Class of OpenMesh mesh to work with
  Vector | Vector type of visualised vector

## Member Typedef Documentation

template<class Mesh , class Vector >

typedef VectorT::value_type osg::OMDirectionsGeometry< Mesh, Vector >::ScalarT
| protected

Mesh vector scalar type

template<class Mesh , class Vector >

typedef Mesh::Normal osg::OMDirectionsGeometry< Mesh, Vector >::VectorT
| protected

Mesh vector type

## Constructor & Destructor Documentation

template<class Mesh , class Vector >

osg::OMDirectionsGeometry< Mesh, Vector >::OMDirectionsGeometry | ( | Mesh & | mesh,
|  | OpenMesh::VPropHandleT< Vector > | handle,
|  | ScalarT | norm = `1.0`,
|  | Vec4f | defaultColor = `Vec4f(1.0, 1.0, 1.0, 1.0)`
| ) |  |

Constructor Creates an instance of this class by drawing vectors specified by handle from each vertex

Parameters

  mesh | Mesh to work with
  handle | Handle to vector vertex property
  norm | Lenght of showed distances
  defaultColor | Default color of visualised normal

template<class Mesh , class Vector >

osg::OMDirectionsGeometry< Mesh, Vector >::OMDirectionsGeometry | ( | Mesh & | mesh,
|  | OpenMesh::FPropHandleT< Vector > | handle,
|  | ScalarT | norm = `1.0`,
|  | Vec4f | defaultColor = `Vec4f(1.0, 1.0, 1.0, 1.0)`
| ) |  |

Constructor Creates an instance of this class by drawing vectors specified by handle from each face

Parameters

  mesh | Mesh to work with
  handle | Handle to vector vertex property
  norm | Lenght of showed distances
  defaultColor | Default color of visualised normal

The documentation for this class was generated from the following file:

- trunk/include/OMToolkitOSG/OMDirectionsGeo.h